package yem.base.common.module.meta.list;

import com.alibaba.druid.util.StringUtils;
import kd.bos.form.ShowType;
import kd.bos.form.control.events.ItemClickEvent;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.report.ReportShowParameter;


/**
     * 字段标识库 列表插件
 */
public class FieldKeyStoreList extends AbstractListPlugin {

    @Override
    public void itemClick(ItemClickEvent evt) {
        super.itemClick(evt);
        String key = evt.getItemKey();
        if (StringUtils.equals("yem_barrptdiff", key)) { //异常字段查询
            //获得报表显示参数
            ReportShowParameter reportShowParameter = new ReportShowParameter();
            //设置报表标识
            reportShowParameter.setFormId("yem_base_filekeydiff");
            //设置弹出页面的打开方式
            reportShowParameter.getOpenStyle().setShowType(ShowType.Modal);
            //绑定子页面到当前页面
            this.getView().showForm(reportShowParameter);
        }
    }
}
